import { Base58EncodedAddress } from '@solana/addresses';
import { LamportsUnsafeBeyond2Pow53Minus1 } from '../lamports';
import { Commitment, Slot, U64UnsafeBeyond2Pow53Minus1 } from './common';
type GetInflationRewardApiResponse = Readonly<{
    amount: LamportsUnsafeBeyond2Pow53Minus1;
    commission: number;
    effectiveSlot: Slot;
    epoch: U64UnsafeBeyond2Pow53Minus1;
    postBalance: LamportsUnsafeBeyond2Pow53Minus1;
}>;
export interface GetInflationRewardApi {
    /**
     * Returns the current block height of the node
     */
    getInflationReward(addresses: Base58EncodedAddress[], config?: Readonly<{
        commitment?: Commitment;
        epoch?: U64UnsafeBeyond2Pow53Minus1;
        minContextSlot?: Slot;
    }>): Promise<readonly (GetInflationRewardApiResponse | null)[]>;
}
export {};
//# sourceMappingURL=getInflationReward.d.ts.map